0

I can't update my installation anymore and I have no idea what I've done to it. I keep getting these errors every time I attempt to update my installation using the AppCentre or trying updating my package lists. I've tried all the solutions suggested on the other posts with no success.

  • It seems like a problem with your internet connection since it can't reach many of those ppas. Did you change any configuration related to updates? – Maccer Mar 30 '18 at 10:49
2

It looks as though something has replaced the version codename incorrectly in your apt source files (i.e. /etc/apt/sources.list and the other files in /etc/apt/sources.list.d/)

It is likely that some instructions you followed to add a PPA inadvertently caused this, or one of the packages you installed from one of those PPAs did this automatically.

If you are running Juno (5.0)

You should be able to fix this by replacing all instances of juno with bionic in /etc/apt/sources.list and all of the files inside /etc/apt/sources.list.d/

If you are running Loki (0.4)

You should be able to fix this by replacing all instances of loki with xenial in /etc/apt/sources.list and all of the files inside /etc/apt/sources.list.d/

Further Information

Where possible, it is recommended to install 3rd party apps like Brave via their Snap packaging format (there's an app called Snaptastic in the AppCenter to help with this). Adding PPAs is essentially giving the owner of that PPA root access to your system, and can lead to issues like this if they are not configured properly.

  • Yay, that worked! Thanks, I don't know what program could have replaced everything like that. I have a feeling it's the Software & Updates I installed a while ago. – Radu M. Mar 30 '18 at 13:07
0

In my case, i install ubuntu-make following ppa instructions: https://github.com/ubuntu/ubuntu-make

I could solve my issue by run:

sudo nano /etc/apt/sources.list

and comment ( put a hastag (#)) before this line:

"deb cdrom:[elementary OS 0.4.1 Loki - Stable amd64 (20180214)]/ xenial contrib main non-free".

later save.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.